%define rel 1

Name:          lxqt-config
Version:       2.2.0
Release:       %mkrel %rel
Summary:       Config panel for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-config/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: cmake(lxqt-menu-data)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(qt6xdg)
BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(lxqt)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xorg-libinput)
BuildRequires: cmake(KF6WindowSystem) >= 5.5
BuildRequires: cmake(KF6Screen)
BuildRequires: desktop-file-utils
# xrandr binary required for lxqt-config-monitor
Requires:      xrandr
Requires:      libkscreen

%description
Config panel for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

for lang in brightness; do
if [ -f %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop ]; then
sed -i "/^GenericName.*/d" %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop
sed -i "/^Comment.*/d" %{buildroot}%{_datadir}/applications/lxqt-config-${lang}.desktop
fi
done

%files
%{_bindir}/lxqt-config
%{_bindir}/lxqt-config-appearance
%{_bindir}/lxqt-config-brightness
%{_bindir}/lxqt-config-file-associations
%{_bindir}/lxqt-config-input
%{_bindir}/lxqt-config-locale
%{_bindir}/lxqt-config-monitor
%dir %{_libdir}/lxqt-config
%{_libdir}/lxqt-config/lib*.so
%{_datadir}/applications/lxqt-config*.desktop
%{_iconsdir}/hicolor/48x48/apps/brightnesssettings.svg
%{_datadir}/lxqt/icons
%{_mandir}/man1/lxqt-config-appearance.1*
%{_mandir}/man1/lxqt-config.1*
%{_mandir}/man1/lxqt-config-input.1*
%{_datadir}/lxqt/translations/lxqt-config-appearance/
%{_datadir}/lxqt/translations/lxqt-config-brightness/
%{_datadir}/lxqt/translations/lxqt-config-cursor/
%{_datadir}/lxqt/translations/lxqt-config-file-associations/
%{_datadir}/lxqt/translations/lxqt-config-input/
%{_datadir}/lxqt/translations/lxqt-config-locale/
%{_datadir}/lxqt/translations/lxqt-config-monitor/
%{_datadir}/lxqt/translations/lxqt-config/


%changelog
* Tue Apr 22 2025 papoteur <papoteur> 2.2.0-1.mga10
+ Revision: 2178212
- new version 2.2.0

* Sun Feb 16 2025 daviddavid <daviddavid> 2.1.1-1.mga10
+ Revision: 2149037
- New version 2.1.1

* Tue Nov 05 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2112536
- New version 2.1.0

* Thu Apr 18 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2058881
- new version 2.0.0
- switch to Qt6
- rebuild for kscreen2

* Mon Nov 06 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2004811
- remove no more provided files from the list
- remove upstreamed patch
- new version 1.4.0

* Sun Oct 15 2023 papoteur <papoteur> 1.3.0-2.mga10
+ Revision: 1996970
- fix primary display setting

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953277
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-3.mga9
+ Revision: 1938817
- rebuild for compilation with C++17 standard
- rebuild for libKF5Screen.so.7

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904196
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853309
- Release 1.1.0

* Wed Apr 06 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845577
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761765
- Add fixes from papoteur
- remove old conflicts
- Fix file list
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.1-1.mga9
+ Revision: 1716045
- New version 0.17.1

* Thu Dec 17 2020 umeabot <umeabot> 0.16.1-2.mga8
+ Revision: 1658992
- Rebuild for new Qt5

* Tue Nov 17 2020 daviddavid <daviddavid> 0.16.1-1.mga8
+ Revision: 1646787
- New version 0.16.1

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643308
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571809
- New version 0.15.0

* Sat Feb 15 2020 daviddavid <daviddavid> 0.14.1-3.mga8
+ Revision: 1525904
- add upstream patch to fix build with Qt 5.14
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383253
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380826
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361345
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345470
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299405
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235863
- New version 0.13.0

* Thu May 03 2018 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1225705
- libkscreen is needed to open Monitor configuration tool (mga#22982)

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175483
- New version 0.12.0

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-2.mga6
+ Revision: 1093312
- New version 0.11.1

* Wed Nov 09 2016 neoclust <neoclust> 0.11.0-2.mga6
+ Revision: 1066149
- Workaround rpmlint error
- New version 0.11.0
+ doktor5000 <doktor5000>
- added Requires on xrandr binary for lxqt-monitor-config

* Mon Mar 07 2016 daviddavid <daviddavid> 0.10.0-6.mga6
+ Revision: 986933
- rebuild for new libkscreen
- run cmake_qt5 into build section
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 908884
- add comment on why rpath is used for the private library
- added upstream patch for library folder paths - fixes (mga#17203)

* Fri Nov 27 2015 neoclust <neoclust> 0.10.0-4.mga6
+ Revision: 906374
- Try to disable RPATH

* Thu Nov 26 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 906335
- Fix start of lxqt-config-appearance MGA#17203

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 900883
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900244
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816443
- new version 0.9.0
- removed patch for font autohinting, merged upstream
- added translations
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-5.mga5
+ Revision: 803674
- rebuild for QT 5.4 breakage

* Tue Nov 04 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 795647
- added upstream patch, thanks to dglent
  o enables autohinting option in lxqt-config-appearance
  o enables KDE compatibility

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793524
- do not remove LXQt Catgories from .desktop file

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 793086
- remove duplicate Obsoletes
- add Obsoletes on lxqt-config-randr
  o replaced by lxqt-config-monitor binary
- add missing BuildRequires on pkgconfig(Qt5Help)
- added BuildRequires on pkgconfig(Qt5Concurrent)
- new version 0.8
  o adds lxqt-config-monitor, an RandR frontend
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 739891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 682088
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-2.mga5
+ Revision: 675034
- obsolete razorqt-config

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626416
- use %%mkrel
- fix BuildRequires
- fix .desktop files, remove Category=LXQt for now
- remove .rpmlintrc
- imported package lxqt-config


* Thu May 08 2014 Bernhard Rosenkraenzer <bero@lindev.ch> 0.7.0-1
+ Revision: 9ed6d13
- Add build deps


